PLATINUM DOCS
ApiVolumes

POST /v1/volumes/{v}/restore

POST
/v1/volumes/{v}/restore

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

v*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/volumes/string/restore" \  -H "Content-Type: application/json" \  -d '{    "to": "string"  }'
{  "id": "string",  "volume_id": "string",  "seq": 0,  "on_head": true,  "kind": "init",  "parent_id": "string",  "base_id": "string",  "merged_from": [    "string"  ],  "author": {    "kind": "string",    "id": "string",    "mount_id": "string"  },  "created_at": "string",  "logical_bytes": 0,  "file_count": 0,  "overwritten_count": 0,  "tags": [    "string"  ],  "stats": {},  "overwritten": [    {      "path": "string",      "reason": "string"    }  ],  "skipped": [    {      "path": "string",      "reason": "string"    }  ]}
Empty